import cryptobox.plugins.base

class help(cryptobox.plugins.base.CryptoBoxPlugin):

	pluginCapabilities = [ "system" ]
	pluginVisibility = [ "menu" ]
	requestAuth = False
	rank = 80

	def doAction(self, page=""):
		'''prints the offline wikipage
		'''
		import re
		## check for invalid characters
		if page and not re.search(u'\W', page):
			self.hdf[self.hdf_prefix + "Page"] = page
		else:
			## display this page as default help page
			self.hdf[self.hdf_prefix + "Page"] ="CryptoBoxUser"
		return "doc"


	def getStatus(self):
		return "TODO"


